View Issue Details

IDProjectCategoryView StatusLast Update
0014079LazarusIDEpublic2019-02-17 22:21
ReporterJoost van der SluisAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version0.9.27 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.31 (SVN) 
Summary0014079: .ppu's from components are not cleaned while rebuilding the ide
DescriptionWheb the IDE is rebuild from within the ide using the 'clean all' option, the .ppu's from packages in components (tachart/sqdb/daemon etc) are not cleaned.

With a result that Lazarus fails to compile/link when they are out of date and the compiler can not detect that. (for example: they contain debuginfo)
TagsNo tags attached.
Fixed in Revision
LazTarget1.0
WidgetsetGTK 2
Attached Files

Activities

Vincent Snijders

2011-10-07 20:17

manager   ~0052757

Is this still an issue, now all packages are compiled by the IDE directly and not through makefiles anymore?

Zeljan Rikalo

2012-01-07 11:12

developer   ~0055536

I think that this can be resolved. Everything is cleaned as Vincent mentioned.

Zeljan Rikalo

2012-02-04 11:22

developer   ~0056325

Fixed during 0.9.31. Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-06-29 17:23 Joost van der Sluis New Issue
2009-06-29 17:23 Joost van der Sluis LazTarget => -
2009-06-29 17:23 Joost van der Sluis Widgetset => GTK 2
2009-06-29 19:09 Vincent Snijders LazTarget - => 1.0
2009-06-29 19:09 Vincent Snijders Status new => acknowledged
2009-06-29 19:09 Vincent Snijders Target Version => 1.0.0
2011-10-07 20:17 Vincent Snijders Note Added: 0052757
2011-10-07 20:17 Vincent Snijders Status acknowledged => feedback
2012-01-07 11:12 Zeljan Rikalo Note Added: 0055536
2012-02-04 11:22 Zeljan Rikalo Status feedback => resolved
2012-02-04 11:22 Zeljan Rikalo Fixed in Version => 0.9.31 (SVN)
2012-02-04 11:22 Zeljan Rikalo Resolution open => fixed
2012-02-04 11:22 Zeljan Rikalo Assigned To => Zeljan Rikalo
2012-02-04 11:22 Zeljan Rikalo Note Added: 0056325
2019-02-17 22:21 Joost van der Sluis Status resolved => closed